YaCy-Bugtracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000170YaCy[All Projects] Generalpublic2012-03-18 12:172014-09-17 03:49
Reporterlucipher 
Assigned ToBuBu 
PriorityhighSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
ETAnone 
PlatformOSOS Version
Product VersionYaCy 1.0 
Target VersionFixed in Version 
Summary0000170: internal network: peers stay junior
DescriptionI made vmware lab with 3 peers (this same tested on physical mashines with this same status). Each linux had internal network IP (192.168.1.x), firewall was shutted down. Machines may fully talk to each other. I made my own network. 1st Machine (principal peer) update seedlist on the externel internet http server via ftp. Other peers saw this seed and senior. Senior saw peers but always in junior mode. Without firewall and other filtering there is no way to make junior peer visible as senior. I'd like to ask how access to other peers is verified. In this same internal network without firewall there was no option to make senior from junior. Statis ip was filled on each yacy configuration. Externel internet IP assgigned to each host is only way?
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000368)
Orbiter (manager)
2012-05-17 04:12

At this time the p2p network only works on public IPs on purpose.
This is checked to omit false peers which could not be reached in the public.
To enable a intranet-wide p2p network, we would need to assign that with a flag in the network configuration.
(0000920)
BuBu (developer)
2014-09-17 03:49

This has been addressed.
Only issue left is that seedlist Export does not accept a local IP (what was not the issue in your case).
Workaround for the seedlist issue is to use a live list from principal by using
Network.unit.bootstrap.seedlist1 = http://principal'sIP:8090/yacy/seedlist.html [^]

- Issue History
Date Modified Username Field Change
2012-03-18 12:17 lucipher New Issue
2012-03-18 19:08 Lotus Summary peer status, access to peer => internal network: peers stay junior
2012-05-17 04:12 Orbiter Note Added: 0000368
2014-09-17 03:49 BuBu Note Added: 0000920
2014-09-17 03:49 BuBu Status new => resolved
2014-09-17 03:49 BuBu Resolution open => fixed
2014-09-17 03:49 BuBu Assigned To => BuBu


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker